cURL
curl --request PATCH \
--url https://app.closerx.ai/api/agent-llm/ \
--header 'Company-Name: <company-name>' \
--header 'Content-Type: application/json' \
--header 'api_key: <api-key>' \
--data '
{
"agent": {
"agent_name": "Jarvis",
"voice_id": "11labs-Adrian",
"voice_temperature": 1,
"voice_speed": 1,
"volume": 1,
"responsiveness": 1,
"interruption_sensitivity": 1,
"pronunciation_dictionary": [
{
"word": "actually",
"phoneme": "ˈæktʃuəli"
}
],
"enable_backchannel": true,
"backchannel_frequency": 0.9,
"backchannel_words": [
"yeah",
"uh-huh"
],
"vocab_specialization": "general",
"allow_user_dtmf": true,
"user_dtmf_options": {
"digit_limit": 123,
"timeout_ms": 123,
"termination_key": "<string>"
},
"denoising_mode": "noise-cancellation",
"reminder_trigger_ms": 10000,
"reminder_max_count": 2,
"ambient_sound_volume": 1,
"language": "en-US",
"boosted_keywords": [
"aicall",
"kroger"
],
"normalize_for_speech": true,
"end_call_after_silence_ms": 600000,
"max_call_duration_ms": 3600000,
"voicemail_option": {
"action": {
"type": "static_text",
"text": "Please give us a callback tomorrow at 10am."
}
},
"analysis_data": [
{
"type": "<string>",
"name": "<string>",
"description": "<string>",
"examples": [
"<string>"
]
}
],
"ring_duration_ms": 30000
}
}
'{
"agent": {
"agent_name": "Jarvis",
"voice_id": "11labs-Adrian",
"voice_temperature": 1,
"voice_speed": 1,
"volume": 1,
"responsiveness": 1,
"interruption_sensitivity": 1,
"pronunciation_dictionary": [
{
"word": "actually",
"phoneme": "ˈæktʃuəli"
}
],
"enable_backchannel": true,
"backchannel_frequency": 0.9,
"backchannel_words": [
"yeah",
"uh-huh"
],
"vocab_specialization": "general",
"allow_user_dtmf": true,
"user_dtmf_options": {
"digit_limit": 123,
"timeout_ms": 123,
"termination_key": "<string>"
},
"denoising_mode": "noise-cancellation",
"reminder_trigger_ms": 10000,
"reminder_max_count": 2,
"ambient_sound_volume": 1,
"language": "en-US",
"boosted_keywords": [
"aicall",
"kroger"
],
"normalize_for_speech": true,
"end_call_after_silence_ms": 600000,
"max_call_duration_ms": 3600000,
"voicemail_option": {
"action": {
"type": "static_text",
"text": "Please give us a callback tomorrow at 10am."
}
},
"analysis_data": [
{
"type": "<string>",
"name": "<string>",
"description": "<string>",
"examples": [
"<string>"
]
}
],
"ring_duration_ms": 30000
}
}Agent
Update Agent
Updates the configuration of an existing AI call agent or LLM by its ID
PATCH
/
agent-llm
cURL
curl --request PATCH \
--url https://app.closerx.ai/api/agent-llm/ \
--header 'Company-Name: <company-name>' \
--header 'Content-Type: application/json' \
--header 'api_key: <api-key>' \
--data '
{
"agent": {
"agent_name": "Jarvis",
"voice_id": "11labs-Adrian",
"voice_temperature": 1,
"voice_speed": 1,
"volume": 1,
"responsiveness": 1,
"interruption_sensitivity": 1,
"pronunciation_dictionary": [
{
"word": "actually",
"phoneme": "ˈæktʃuəli"
}
],
"enable_backchannel": true,
"backchannel_frequency": 0.9,
"backchannel_words": [
"yeah",
"uh-huh"
],
"vocab_specialization": "general",
"allow_user_dtmf": true,
"user_dtmf_options": {
"digit_limit": 123,
"timeout_ms": 123,
"termination_key": "<string>"
},
"denoising_mode": "noise-cancellation",
"reminder_trigger_ms": 10000,
"reminder_max_count": 2,
"ambient_sound_volume": 1,
"language": "en-US",
"boosted_keywords": [
"aicall",
"kroger"
],
"normalize_for_speech": true,
"end_call_after_silence_ms": 600000,
"max_call_duration_ms": 3600000,
"voicemail_option": {
"action": {
"type": "static_text",
"text": "Please give us a callback tomorrow at 10am."
}
},
"analysis_data": [
{
"type": "<string>",
"name": "<string>",
"description": "<string>",
"examples": [
"<string>"
]
}
],
"ring_duration_ms": 30000
}
}
'{
"agent": {
"agent_name": "Jarvis",
"voice_id": "11labs-Adrian",
"voice_temperature": 1,
"voice_speed": 1,
"volume": 1,
"responsiveness": 1,
"interruption_sensitivity": 1,
"pronunciation_dictionary": [
{
"word": "actually",
"phoneme": "ˈæktʃuəli"
}
],
"enable_backchannel": true,
"backchannel_frequency": 0.9,
"backchannel_words": [
"yeah",
"uh-huh"
],
"vocab_specialization": "general",
"allow_user_dtmf": true,
"user_dtmf_options": {
"digit_limit": 123,
"timeout_ms": 123,
"termination_key": "<string>"
},
"denoising_mode": "noise-cancellation",
"reminder_trigger_ms": 10000,
"reminder_max_count": 2,
"ambient_sound_volume": 1,
"language": "en-US",
"boosted_keywords": [
"aicall",
"kroger"
],
"normalize_for_speech": true,
"end_call_after_silence_ms": 600000,
"max_call_duration_ms": 3600000,
"voicemail_option": {
"action": {
"type": "static_text",
"text": "Please give us a callback tomorrow at 10am."
}
},
"analysis_data": [
{
"type": "<string>",
"name": "<string>",
"description": "<string>",
"examples": [
"<string>"
]
}
],
"ring_duration_ms": 30000
}
}Authorizations
Headers
The name of the schema to be used for the request
Query Parameters
Specifies whether the request is for an agent or LLM
Available options:
agent, llm Example:
"agent"
Unique identifier for the AI call agent or LLM to be updated
Example:
12
Body
application/json
Configuration details to update for the AI call agent or LLM
- Option 1
- Option 2
Show child attributes
Show child attributes
Response
AI call agent or LLM update response
- Option 1
- Option 2
Show child attributes
Show child attributes
⌘I
